namespace SchoolManagementSidekick
{
    public static class PersonDTOMapper
    {
        public static PersonDTO ToDto(this Person person)
        {
            return new PersonDTO
            {
                PersonId = person.PersonId,
                LastName = person.LastName,
                FirstName = person.FirstName,
            };
        }

        public static Person ToPersonEntity(this PersonDTO model)
        {
            return new Person
            {
                PersonId = model.PersonId,
                LastName = model.LastName,
                FirstName = model.FirstName,
            };
        }

    }
}

